Subject: Re: bug#16096: emacs_abort in bidi_initialize + 126 / Fselect_frame -- uniprop_table returns NIL

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Dec 2013 18:28:32 +0200

> Date: Tue, 10 Dec 2013 05:45:20 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: David Reitter <[email-masked]>
> > Date: Mon, 9 Dec 2013 17:54:46 -0500
> > Cc: konrad podczeck <[email-masked]>
> > 
> > Given the activity in bidi, I thought I'd forward this crash report.
> > 
> > bidi_initialize+126 resolves as follows in this binary:
> > 
> > (lldb) image lookup --address bidi_initialize+126
> >       Address: Aquamacs[0x00000001000efa4e] (Aquamacs.__TEXT.__text + 971166)
> >       Summary: Aquamacs`bidi_initialize + 126 at bidi.c:766
> > 
> > I.e., uniprop_table (intern ("mirroring")) seems to have returned NIL.
> 
> Thanks.
> 
> Is the problem still reproducible with the current trunk?  If so, I'd
> need a recipe to work on this.

Actually, there's something else that is strange in this report:

  The last merged change in bidi.c is

  Author: Paul Eggert <[email-masked]>
  Date:   Tue Sep 17 00:06:42 2013 -0700

      Don't overuse 'const' in types of locals.

How come an Emacs built on Dec 9 has its last change in bidi.c in
September?  Is this the development trunk or something else?  If the
former, which bzr revision does it correspond to?